<?php
namespace Creativeimageoverlay\Widgets;

use Elementor\Widget_Base;
use Elementor\Controls_Manager;

if ( ! defined( 'ABSPATH' ) ) exit; // Exit if accessed directly

class bwdioImageOverlay extends \Elementor\Widget_Base {


	public function get_name() {
		return 'BWDIOimageoverlay';
	}

	public function get_title() {
		return esc_html__( 'Image Overlay', 'bwdio_image_overlay' );
	}

	public function get_icon() {
		return 'eicon-featured-image bwdio-image-overlay';
	}

	public function get_categories() {
		return [ 'bwdio-image-overlay-category' ];
	}

	public function get_keywords() {
		return [ 'image', 'overlay', 'bwd' ];
	}

	protected function register_controls() {

		$this->start_controls_section(
			'bwdio_image_overlay_choose_style',
		    [
		        'label' => esc_html__('Choose Style','bwdio_image_overlay'),
				'tab'   => \Elementor\Controls_Manager::TAB_CONTENT,
		   
		    ]
		);
		$this->add_control(
			'bwdio_image_overlay_style_layout',
			[
				'label' => esc_html__( 'Choose Style', 'bwdio_image_overlay' ),
				'type' => \Elementor\Controls_Manager::SELECT,
				'default' => 'style1',
				'options' => [
					'style1'  => esc_html__( 'Style 1', 'bwdio_image_overlay' ),
					'style2' => esc_html__( 'Style 2', 'bwdio_image_overlay' ),
					'style3' => esc_html__( 'Style 3', 'bwdio_image_overlay' ),
					'style4' => esc_html__( 'Style 4', 'bwdio_image_overlay' ),
					'style5' => esc_html__( 'Style 5', 'bwdio_image_overlay' ),
					'style6' => esc_html__( 'Style 6', 'bwdio_image_overlay' ),
					'style7' => esc_html__( 'Style 7', 'bwdio_image_overlay' ),
					'style8' => esc_html__( 'Style 8', 'bwdio_image_overlay' ),
					'style9' => esc_html__( 'Style 9', 'bwdio_image_overlay' ),
					'style10' => esc_html__( 'Style 10', 'bwdio_image_overlay' ),
					'style11' => esc_html__( 'Style 11', 'bwdio_image_overlay' ),
					'style12' => esc_html__( 'Style 12', 'bwdio_image_overlay' ),
					'style13' => esc_html__( 'Style 13', 'bwdio_image_overlay' ),
					'style14' => esc_html__( 'Style 14', 'bwdio_image_overlay' ),
					'style15' => esc_html__( 'Style 15', 'bwdio_image_overlay' ),
					'style16' => esc_html__( 'Style 16', 'bwdio_image_overlay' ),
					'style17' => esc_html__( 'Style 17', 'bwdio_image_overlay' ),
					'style18' => esc_html__( 'Style 18', 'bwdio_image_overlay' ),
					'style19' => esc_html__( 'Style 19', 'bwdio_image_overlay' ),
					'style20' => esc_html__( 'Style 20', 'bwdio_image_overlay' ),
					'style21' => esc_html__( 'Style 21', 'bwdio_image_overlay' ),
					'style22' => esc_html__( 'Style 22', 'bwdio_image_overlay' ),
					'style23' => esc_html__( 'Style 23', 'bwdio_image_overlay' ),
					'style24' => esc_html__( 'Style 24', 'bwdio_image_overlay' ),
					'style25' => esc_html__( 'Style 25', 'bwdio_image_overlay' ),
					'style26' => esc_html__( 'Style 26', 'bwdio_image_overlay' ),
					'style27' => esc_html__( 'Style 27', 'bwdio_image_overlay' ),
					'style28' => esc_html__( 'Style 28', 'bwdio_image_overlay' ),
					'style29' => esc_html__( 'Style 29', 'bwdio_image_overlay' ),
					'style30' => esc_html__( 'Style 30', 'bwdio_image_overlay' ),
					'style31' => esc_html__( 'Style 31', 'bwdio_image_overlay' ),
				],
			]
		);
		$this->end_controls_section();
		$this->start_controls_section(
			'bwdio_image_overlay_content_section',
		    [
		        'label' => esc_html__('Content','bwdio_image_overlay'),
				'tab'   => \Elementor\Controls_Manager::TAB_CONTENT,
		   
		    ]
		);
		$this->add_control(
			'bwdio_image_overlay_image',
			[
				'label' => esc_html__( 'Choose Image', 'bwdio_image_overlay' ),
				'type' => \Elementor\Controls_Manager::MEDIA,
				'default' => [
					'url' => plugin_dir_url(__DIR__).'assets/public/img/butterfly.webp',
				],
			]
		);
		$this->add_control(
			'bwdio_image_overlay_image_url',
			[
				'label' => esc_html__( 'Link', 'bwdio_image_overlay' ),
				'type' => Controls_Manager::URL,
				'dynamic' => [
					'active' => true,
				],
				'default' => [
					'url' => '#',
				],
				'placeholder' => esc_html__( 'Enter your URL', 'bwdio_image_overlay' ),
				'label_block' => true,
			]
		);
		$this->end_controls_section();
		$this->start_controls_section(
			'bwdio_image_overlay_content_style_section',
		    [
		        'label' => esc_html__('Style','bwdio_image_overlay'),
				'tab'   => \Elementor\Controls_Manager::TAB_STYLE,
		   
		    ]
		);
		$this->add_responsive_control(
			'bwdio_image_overlay_image_width',
			[
				'label' => esc_html__( 'Width', 'bwdio_image_overlay' ),
				'type' => \Elementor\Controls_Manager::SLIDER,
				'size_units' => [ 'px', '%' ],
				'range' => [
					'px' => [
						'min' => 0,
						'max' => 1000,
						'step' => 1,
					],
				],
				'default' => [
					'unit' => '%',
				],
				'selectors' => [
					'{{WRAPPER}} .bwdio_image_overlay' => 'width: {{SIZE}}{{UNIT}};',
				],
			]
		);
		$this->add_group_control(
			\Elementor\Group_Control_Box_Shadow::get_type(),
			[
				'name' => 'bwdio_image_overlay_image_box_shadow',
				'label' => esc_html__( 'Box Shadow', 'bwdio_image_overlay' ),
				'selector' => '{{WRAPPER}} .bwdio_image_overlay',
			]
		);
		$this->add_group_control(
			\Elementor\Group_Control_Css_Filter::get_type(),
			[
				'name' => 'bwdio_image_overlay_custom_css_filters',
				'selector' => '{{WRAPPER}} .bwdio_image_overlay',
			]
		);
		$this->add_group_control(
			\Elementor\Group_Control_Border::get_type(),
			[
				'name' => 'bwdio_image_overlay_border',
				'selector' => '{{WRAPPER}} .bwdio_image_overlay',
			]
		);
		$this->add_responsive_control(
			'bwdio_image_overlay_image_border_radius',
			[
				'label' => esc_html__( 'Border Radius', 'bwdio_image_overlay' ),
				'type' => \Elementor\Controls_Manager::DIMENSIONS,
				'size_units' => [ 'px', 'em' ],
				'selectors' => [
					'{{WRAPPER}} .bwdio_image_overlay' => 'border-radius: {{TOP}}{{UNIT}} {{RIGHT}}{{UNIT}} {{BOTTOM}}{{UNIT}} {{LEFT}}{{UNIT}};',
				],
			]
		);
		$this->add_responsive_control(
			'bwdio_image_overlay_padding',
			[
				'label' => esc_html__( 'Padding', 'bwdio_image_overlay' ),
				'type' => \Elementor\Controls_Manager::DIMENSIONS,
				'size_units' => [ 'px', '%', 'em' ],
				'selectors' => [
					'{{WRAPPER}} .bwdio_image_overlay' => 'padding: {{TOP}}{{UNIT}} {{RIGHT}}{{UNIT}} {{BOTTOM}}{{UNIT}} {{LEFT}}{{UNIT}};',
				],
			]
		);
		$this->end_controls_section();
		
    }

	protected function render() {
		$settings = $this->get_settings_for_display();
		$overlay_image_style = $settings['bwdio_image_overlay_style_layout'];
		$overlay_image = $settings['bwdio_image_overlay_image']['url'];
		$overlay_image_link = $settings['bwdio_image_overlay_image_url']['url'];

		if ( ! empty( $settings['bwdio_image_overlay_image_url']['url'] ) ) {
			$this->add_link_attributes( 'bwdio_image_overlay_image_url', $settings['bwdio_image_overlay_image_url'] );
		}

		if ('style1' === $overlay_image_style) { ?>
		<div class="bwdio_image_overlay">
			<a href="<?php echo esc_url($overlay_image_link)?>">
				<img src="<?php echo esc_attr($overlay_image); ?>" alt="">
				<img src="<?php echo plugin_dir_url( __DIR__ ) . 'assets/public/img/1.png'; ?>">
			</a>
		</div>
		<?php		 
		} elseif ('style2' === $overlay_image_style) { ?>
		<div class="bwdio_image_overlay">
			<a href="<?php echo esc_url($overlay_image_link)?>">
				<img src="<?php echo esc_attr($overlay_image); ?>" alt="">
				<img src="<?php echo plugin_dir_url( __DIR__ ) . 'assets/public/img/16.png'; ?>">
			</a>
		</div>
		<?php
		} elseif ('style3' === $overlay_image_style) { ?>
		<div class="bwdio_image_overlay">
			<a href="<?php echo esc_url($overlay_image_link)?>">
				<img src="<?php echo esc_attr($overlay_image); ?>" alt="">
				<img src="<?php echo plugin_dir_url( __DIR__ ) . 'assets/public/img/3.png'; ?>">
			</a>
		</div>
		<?php
		} elseif ('style4' === $overlay_image_style) { ?>
		<div class="bwdio_image_overlay">
			<a href="<?php echo esc_url($overlay_image_link)?>">
				<img src="<?php echo esc_attr($overlay_image); ?>" alt="">
				<img src="<?php echo plugin_dir_url( __DIR__ ) . 'assets/public/img/43.png'; ?>">
			</a>
		</div>
		<?php
		} elseif ('style5' === $overlay_image_style) { ?>
		<div class="bwdio_image_overlay">
			<a href="<?php echo esc_url($overlay_image_link)?>">
				<img src="<?php echo esc_attr($overlay_image); ?>" alt="">
				<img src="<?php echo plugin_dir_url( __DIR__ ) . 'assets/public/img/42.png'; ?>">
			</a>
		</div>
		<?php
		} elseif ('style6' === $overlay_image_style) { ?>
		<div class="bwdio_image_overlay">
			<a href="<?php echo esc_url($overlay_image_link)?>">
				<img src="<?php echo esc_attr($overlay_image); ?>" alt="">
				<img src="<?php echo plugin_dir_url( __DIR__ ) . 'assets/public/img/6.png'; ?>">
			</a>
		</div>
		<?php
		} elseif ('style7' === $overlay_image_style) { ?>
		<div class="bwdio_image_overlay">
			<a href="<?php echo esc_url($overlay_image_link)?>">
				<img src="<?php echo esc_attr($overlay_image); ?>" alt="">
				<img src="<?php echo plugin_dir_url( __DIR__ ) . 'assets/public/img/40.png'; ?>">
			</a>
		</div>
		<?php
		} elseif ('style8' === $overlay_image_style) { ?>
		<div class="bwdio_image_overlay">
			<a href="<?php echo esc_url($overlay_image_link)?>">
				<img src="<?php echo esc_attr($overlay_image); ?>" alt="">
				<img src="<?php echo plugin_dir_url( __DIR__ ) . 'assets/public/img/8.png'; ?>">
			</a>
		</div>
		<?php
		} elseif ('style9' === $overlay_image_style) { ?>
		<div class="bwdio_image_overlay">
			<a href="<?php echo esc_url($overlay_image_link)?>">
				<img src="<?php echo esc_attr($overlay_image); ?>" alt="">
				<img src="<?php echo plugin_dir_url( __DIR__ ) . 'assets/public/img/9.png'; ?>">
			</a>
		</div>
		<?php
		} elseif ('style10' === $overlay_image_style) { ?>
		<div class="bwdio_image_overlay">
			<a href="<?php echo esc_url($overlay_image_link)?>">
				<img src="<?php echo esc_attr($overlay_image); ?>" alt="">
				<img src="<?php echo plugin_dir_url( __DIR__ ) . 'assets/public/img/10.png'; ?>">
			</a>
		</div>
		<?php
		} elseif ('style11' === $overlay_image_style) { ?>
		<div class="bwdio_image_overlay">
			<a href="<?php echo esc_url($overlay_image_link)?>">
				<img src="<?php echo esc_attr($overlay_image); ?>" alt="">
				<img src="<?php echo plugin_dir_url( __DIR__ ) . 'assets/public/img/39.png'; ?>">
			</a>
		</div>
		<?php
		} elseif ('style12' === $overlay_image_style) { ?>
		<div class="bwdio_image_overlay">
			<a href="<?php echo esc_url($overlay_image_link)?>">
				<img src="<?php echo esc_attr($overlay_image); ?>" alt="">
				<img src="<?php echo plugin_dir_url( __DIR__ ) . 'assets/public/img/12.png'; ?>">
			</a>
		</div>
		<?php
		} elseif ('style13' === $overlay_image_style) { ?>
		<div class="bwdio_image_overlay">
			<a href="<?php echo esc_url($overlay_image_link)?>">
				<img src="<?php echo esc_attr($overlay_image); ?>" alt="">
				<img src="<?php echo plugin_dir_url( __DIR__ ) . 'assets/public/img/38.png'; ?>">
			</a>
		</div>
		<?php
		} elseif ('style14' === $overlay_image_style) { ?>
		<div class="bwdio_image_overlay">
			<a href="<?php echo esc_url($overlay_image_link)?>">
				<img src="<?php echo esc_attr($overlay_image); ?>" alt="">
				<img src="<?php echo plugin_dir_url( __DIR__ ) . 'assets/public/img/14.png'; ?>">
			</a>
		</div>
		<?php
		} elseif ('style15' === $overlay_image_style) { ?>
		<div class="bwdio_image_overlay">
			<a href="<?php echo esc_url($overlay_image_link)?>">
				<img src="<?php echo esc_attr($overlay_image); ?>" alt="">
				<img src="<?php echo plugin_dir_url( __DIR__ ) . 'assets/public/img/37.png'; ?>">
			</a>
		</div>
		<?php
		} elseif ('style16' === $overlay_image_style) { ?>
		<div class="bwdio_image_overlay">
			<a href="<?php echo esc_url($overlay_image_link)?>">
				<img src="<?php echo esc_attr($overlay_image); ?>" alt="">
				<img src="<?php echo plugin_dir_url( __DIR__ ) . 'assets/public/img/2.png'; ?>">
			</a>
		</div>
		<?php
		} elseif ('style17' === $overlay_image_style) { ?>
		<div class="bwdio_image_overlay">
			<a href="<?php echo esc_url($overlay_image_link)?>">
				<img src="<?php echo esc_attr($overlay_image); ?>" alt="">
				<img src="<?php echo plugin_dir_url( __DIR__ ) . 'assets/public/img/17.png'; ?>">
			</a>
		</div>
		<?php
		} elseif ('style18' === $overlay_image_style) { ?>
		<div class="bwdio_image_overlay">
			<a href="<?php echo esc_url($overlay_image_link)?>">
				<img src="<?php echo esc_attr($overlay_image); ?>" alt="">
				<img src="<?php echo plugin_dir_url( __DIR__ ) . 'assets/public/img/18.png'; ?>">
			</a>
		</div>
		<?php
		} elseif ('style19' === $overlay_image_style) { ?>
		<div class="bwdio_image_overlay">
			<a href="<?php echo esc_url($overlay_image_link)?>">
				<img src="<?php echo esc_attr($overlay_image); ?>" alt="">
				<img src="<?php echo plugin_dir_url( __DIR__ ) . 'assets/public/img/19.png'; ?>">
			</a>
		</div>
		<?php
		} elseif ('style20' === $overlay_image_style) { ?>
		<div class="bwdio_image_overlay">
			<a href="<?php echo esc_url($overlay_image_link)?>">
				<img src="<?php echo esc_attr($overlay_image); ?>" alt="">
				<img src="<?php echo plugin_dir_url( __DIR__ ) . 'assets/public/img/20.png'; ?>">
			</a>
		</div>
		<?php
		} elseif ('style21' === $overlay_image_style) { ?>
		<div class="bwdio_image_overlay">
			<a href="<?php echo esc_url($overlay_image_link)?>">
				<img src="<?php echo esc_attr($overlay_image); ?>" alt="">
				<img src="<?php echo plugin_dir_url( __DIR__ ) . 'assets/public/img/21.png'; ?>">
			</a>
		</div>
		<?php
		} elseif ('style22' === $overlay_image_style) { ?>
		<div class="bwdio_image_overlay">
			<a href="<?php echo esc_url($overlay_image_link)?>">
				<img src="<?php echo esc_attr($overlay_image); ?>" alt="">
				<img src="<?php echo plugin_dir_url( __DIR__ ) . 'assets/public/img/22.png'; ?>">
			</a>
		</div>
		<?php
		} elseif ('style23' === $overlay_image_style) { ?>
		<div class="bwdio_image_overlay">
			<a href="<?php echo esc_url($overlay_image_link)?>">
				<img src="<?php echo esc_attr($overlay_image); ?>" alt="">
				<img src="<?php echo plugin_dir_url( __DIR__ ) . 'assets/public/img/36.png'; ?>">
			</a>
		</div>
		<?php
		} elseif ('style24' === $overlay_image_style) { ?>
		<div class="bwdio_image_overlay">
			<a href="<?php echo esc_url($overlay_image_link)?>">
				<img src="<?php echo esc_attr($overlay_image); ?>" alt="">
				<img src="<?php echo plugin_dir_url( __DIR__ ) . 'assets/public/img/24.png'; ?>">
			</a>
		</div>
		<?php
		} elseif ('style25' === $overlay_image_style) { ?>
		<div class="bwdio_image_overlay">
			<a href="<?php echo esc_url($overlay_image_link)?>">
				<img src="<?php echo esc_attr($overlay_image); ?>" alt="">
				<img src="<?php echo plugin_dir_url( __DIR__ ) . 'assets/public/img/25.png'; ?>">
			</a>
		</div>
		<?php
		} elseif ('style26' === $overlay_image_style) { ?>
		<div class="bwdio_image_overlay">
			<a href="<?php echo esc_url($overlay_image_link)?>">
				<img src="<?php echo esc_attr($overlay_image); ?>" alt="">
				<img src="<?php echo plugin_dir_url( __DIR__ ) . 'assets/public/img/26.png'; ?>">
			</a>
		</div>
		<?php
		} elseif ('style27' === $overlay_image_style) { ?>
		<div class="bwdio_image_overlay">
			<a href="<?php echo esc_url($overlay_image_link)?>">
				<img src="<?php echo esc_attr($overlay_image); ?>" alt="">
				<img src="<?php echo plugin_dir_url( __DIR__ ) . 'assets/public/img/27.png'; ?>">
			</a>
		</div>
		<?php
		} elseif ('style28' === $overlay_image_style) { ?>
		<div class="bwdio_image_overlay">
			<a href="<?php echo esc_url($overlay_image_link)?>">
				<img src="<?php echo esc_attr($overlay_image); ?>" alt="">
				<img src="<?php echo plugin_dir_url( __DIR__ ) . 'assets/public/img/35.png'; ?>">
			</a>
		</div>
		<?php
		} elseif ('style29' === $overlay_image_style) { ?>
		<div class="bwdio_image_overlay">
			<a href="<?php echo esc_url($overlay_image_link)?>">
				<img src="<?php echo esc_attr($overlay_image); ?>" alt="">
				<img src="<?php echo plugin_dir_url( __DIR__ ) . 'assets/public/img/29.png'; ?>">
			</a>
		</div>
		<?php
		} elseif ('style30' === $overlay_image_style) { ?>
		<div class="bwdio_image_overlay">
			<a href="<?php echo esc_url($overlay_image_link)?>">
				<img src="<?php echo esc_attr($overlay_image); ?>" alt="">
				<img src="<?php echo plugin_dir_url( __DIR__ ) . 'assets/public/img/34.png'; ?>">
			</a>
		</div>
		<?php
		} elseif ('style31' === $overlay_image_style) { ?>
		<div class="bwdio_image_overlay">
			<a href="<?php echo esc_url($overlay_image_link)?>">
				<img src="<?php echo esc_attr($overlay_image); ?>" alt="">
				<img src="<?php echo plugin_dir_url( __DIR__ ) . 'assets/public/img/31.png'; ?>">
			</a>
		</div>
		<?php
		} elseif ('style32' === $overlay_image_style) { ?>
		<div class="bwdio_image_overlay">
			<a href="<?php echo esc_url($overlay_image_link)?>">
				<img src="<?php echo esc_attr($overlay_image); ?>" alt="">
				<img src="<?php echo plugin_dir_url( __DIR__ ) . 'assets/public/img/32.png'; ?>">
			</a>
		</div>
		<?php
		} elseif ('style33' === $overlay_image_style) { ?>
		<div class="bwdio_image_overlay">
			<a href="<?php echo esc_url($overlay_image_link)?>">
				<img src="<?php echo esc_attr($overlay_image); ?>" alt="">
				<img src="<?php echo plugin_dir_url( __DIR__ ) . 'assets/public/img/33.png'; ?>">
			</a>
		</div>
		<?php
		} elseif ('style34' === $overlay_image_style) { ?>
		<div class="bwdio_image_overlay">
			<a href="<?php echo esc_url($overlay_image_link)?>">
				<img src="<?php echo esc_attr($overlay_image); ?>" alt="">
				<img src="<?php echo plugin_dir_url( __DIR__ ) . 'assets/public/img/34.png'; ?>">
			</a>
		</div>
		<?php
		} elseif ('style35' === $overlay_image_style) { ?>
		<div class="bwdio_image_overlay">
			<a href="<?php echo esc_url($overlay_image_link)?>">
				<img src="<?php echo esc_attr($overlay_image); ?>" alt="">
				<img src="<?php echo plugin_dir_url( __DIR__ ) . 'assets/public/img/35.png'; ?>">
			</a>
		</div>
		<?php
		} elseif ('style36' === $overlay_image_style) { ?>
		<div class="bwdio_image_overlay">
			<a href="<?php echo esc_url($overlay_image_link)?>">
				<img src="<?php echo esc_attr($overlay_image); ?>" alt="">
				<img src="<?php echo plugin_dir_url( __DIR__ ) . 'assets/public/img/36.png'; ?>">
			</a>
		</div>
		<?php
		} elseif ('style37' === $overlay_image_style) { ?>
		<div class="bwdio_image_overlay">
			<a href="<?php echo esc_url($overlay_image_link)?>">
				<img src="<?php echo esc_attr($overlay_image); ?>" alt="">
				<img src="<?php echo plugin_dir_url( __DIR__ ) . 'assets/public/img/37.png'; ?>">
			</a>
		</div>
		<?php
		} elseif ('style38' === $overlay_image_style) { ?>
		<div class="bwdio_image_overlay">
			<a href="<?php echo esc_url($overlay_image_link)?>">
				<img src="<?php echo esc_attr($overlay_image); ?>" alt="">
				<img src="<?php echo plugin_dir_url( __DIR__ ) . 'assets/public/img/38.png'; ?>">
			</a>
		</div>
		<?php
		}elseif ('style39' === $overlay_image_style) { ?>
		<div class="bwdio_image_overlay">
			<a href="<?php echo esc_url($overlay_image_link)?>">
				<img src="<?php echo esc_attr($overlay_image); ?>" alt="">
				<img src="<?php echo plugin_dir_url( __DIR__ ) . 'assets/public/img/39.png'; ?>">
			</a>
		</div>
		<?php
		} elseif ('style40' === $overlay_image_style) { ?>
		<div class="bwdio_image_overlay">
			<a href="<?php echo esc_url($overlay_image_link)?>">
				<img src="<?php echo esc_attr($overlay_image); ?>" alt="">
				<img src="<?php echo plugin_dir_url( __DIR__ ) . 'assets/public/img/40.png'; ?>">
			</a>
		</div>
		<?php
		} elseif ('style41' === $overlay_image_style) { ?>
		<div class="bwdio_image_overlay">
			<a href="<?php echo esc_url($overlay_image_link)?>">
				<img src="<?php echo esc_attr($overlay_image); ?>" alt="">
				<img src="<?php echo plugin_dir_url( __DIR__ ) . 'assets/public/img/41.png'; ?>">
			</a>
		</div>
		<?php
		} elseif ('style42' === $overlay_image_style) { ?>
		<div class="bwdio_image_overlay">
			<a href="<?php echo esc_url($overlay_image_link)?>">
				<img src="<?php echo esc_attr($overlay_image); ?>" alt="">
				<img src="<?php echo plugin_dir_url( __DIR__ ) . 'assets/public/img/42.png'; ?>">
			</a>
		</div>
		<?php
		} elseif ('style43' === $overlay_image_style) { ?>
		<div class="bwdio_image_overlay">
			<a href="<?php echo esc_url($overlay_image_link)?>">
				<img src="<?php echo esc_attr($overlay_image); ?>" alt="">
				<img src="<?php echo plugin_dir_url( __DIR__ ) . 'assets/public/img/43.png'; ?>">
			</a>
		</div>
		<?php
		} elseif ('style44' === $overlay_image_style) { ?>
		<div class="bwdio_image_overlay">
			<a href="<?php echo esc_url($overlay_image_link)?>">
				<img src="<?php echo esc_attr($overlay_image); ?>" alt="">
				<img src="<?php echo plugin_dir_url( __DIR__ ) . 'assets/public/img/44.png'; ?>">
			</a>
		</div>
		<?php
		} elseif ('style45' === $overlay_image_style) { ?>
		<div class="bwdio_image_overlay">
			<a href="<?php echo esc_url($overlay_image_link)?>">
				<img src="<?php echo esc_attr($overlay_image); ?>" alt="">
				<img src="<?php echo plugin_dir_url( __DIR__ ) . 'assets/public/img/45.png'; ?>">
			</a>
		</div>
		<?php
		} 
	}
		 
}




